ADC_INPUTCTRL_Type Union Reference

## Data Fields

struct {
uint16_t MUXPOS:5
uint16_t __pad0__:2
uint16_t DIFFMODE:1
uint16_t MUXNEG:5
uint16_t __pad1__:2
uint16_t DSEQSTOP:1
} | bit
uint16_t | reg

## Detailed Description

Definition at line 157 of file adc.h.

## Field Documentation

## __pad0__

uint16_t ADC_INPUTCTRL_Type::__pad0__

bit: 5.. 6 Reserved

Definition at line 160 of file adc.h.

## __pad1__

uint16_t ADC_INPUTCTRL_Type::__pad1__

bit: 13..14 Reserved

Definition at line 163 of file adc.h.

## bit

struct { ... } ADC_INPUTCTRL_Type::bit

Structure used for bit access

## DIFFMODE

uint16_t ADC_INPUTCTRL_Type::DIFFMODE

bit: 7 Differential Mode

Definition at line 161 of file adc.h.

## DSEQSTOP

uint16_t ADC_INPUTCTRL_Type::DSEQSTOP

bit: 15 Stop DMA Sequencing

Definition at line 164 of file adc.h.

## MUXNEG

uint16_t ADC_INPUTCTRL_Type::MUXNEG

bit: 8..12 Negative Mux Input Selection

Definition at line 162 of file adc.h.

## MUXPOS

uint16_t ADC_INPUTCTRL_Type::MUXPOS

bit: 0.. 4 Positive Mux Input Selection

Definition at line 159 of file adc.h.

## reg

uint16_t ADC_INPUTCTRL_Type::reg

Type used for register access

Definition at line 166 of file adc.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/adc.h